API referenceDeals
Create a deal
POST
/dealscurl -X POST "https://actions.53degrees.app/api/v1/deals" \
-H "Authorization: Bearer $53_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"name": "string"
}'Authorization
AuthorizationstringheaderrequiredBearer authentication header of the form
Bearer <token>, where<token>is your auth token.
Body
application/json
namestringrequireddescriptionstringPlain text.
stageIdstringThe pipeline's first open stage when left out.
priorityenum<string>One of:urgenthighmediumlownonevaluenumberIn the organisation's currency, in major units.
deadlinestringAn ISO 8601 date or date-time.
assignedTostringAn id the API returned.
companyIdstringAn id the API returned.
personIdsstring[]
Response
application/json
Success
idstringrequiredAn id the API returned.
objectenum<string>requiredOne of:dealnamestringrequiredstageIdstringrequiredstagestring | nullrequiredoutcomeenum<string>requiredOne of:openwonlostpriorityenum<string>requiredOne of:urgenthighmediumlownonevaluenumber | nullrequireddeadlinestring | nullrequiredassignedTostring | nullrequiredtagsstring[]requiredcreatedAtstringrequiredISO 8601.
updatedAtstringrequiredISO 8601.
{
"id": "string",
"object": "deal",
"name": "string",
"stageId": "string",
"stage": "string",
"outcome": "open",
"priority": "urgent",
"value": 0,
"deadline": "string",
"assignedTo": "string",
"tags": [
"string"
],
"createdAt": "string",
"updatedAt": "string"
}